summaryrefslogtreecommitdiff
path: root/autopull.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autopull.sh')
-rwxr-xr-xautopull.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/autopull.sh b/autopull.sh
new file mode 100755
index 0000000..4638d7b
--- /dev/null
+++ b/autopull.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Convenience script for fetching auxiliary files that are omitted from
+# the version control repository of this package.
+
+# Copyright (C) 2022 Free Software Foundation, Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+# Usage: ./autopull.sh [--one-time]
+#
+# Options:
+# --one-time Optimize, assuming that the current directory will be
+# used to build the current version only and will be
+# thrown away afterwards.
+
+# Parse options.
+
+shallow=
+
+while :; do
+ case "$1" in
+ --one-time) shallow='--depth 1'; shift;;
+ *) break ;;
+ esac
+done
+
+
+./gitsub.sh pull $shallow || exit 1
+
+echo "$0: done. Now you can run './autogen.sh'."